#ifndef PROCESSBURNIMAGE_H
#define PROCESSBURNIMAGE_H

#include "src/process/processbasic.h"

#include <QObject>

class ProcessBurnImage : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessBurnImage(QString, void *, QObject *parent = nullptr);
    ~ProcessBurnImage();
protected:
    bool prepare() Q_DECL_OVERRIDE;
    bool config() Q_DECL_OVERRIDE;
protected slots:
    void slotsStart() Q_DECL_OVERRIDE;
    void slotsOutput() Q_DECL_OVERRIDE;
    void slotsError() Q_DECL_OVERRIDE;
    void slotsFinished(int,QProcess::ExitStatus) Q_DECL_OVERRIDE;
private:
    void *getCDROM();
private:
    void     *m_oCDROM;
    int       m_iProgress;
    double    m_fSpeed;
    QString   m_oImage;
};

#endif // PROCESSBURNIMAGE_H
