#ifndef PROCESSCREATEISO_H
#define PROCESSCREATEISO_H

#include "processbasic.h"

#include <QObject>

class ProcessCreateISO : public ProcessBasic
{
    Q_OBJECT
signals:
    void clear();
public:
    ProcessCreateISO(void *, void *, QObject *parent = nullptr);
    ~ProcessCreateISO();
protected:
    bool prepare();
    bool config();
    bool worked();
protected slots:
    void slotsStart();
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private slots:
    void slotsCopy(QString, QString);
private:
    int       m_iCopied;
    void     *m_oCDROM;
    void     *m_oRoot;
};

#endif // PROCESSCREATEISO_H
