#ifndef PROCESSEARSE_H
#define PROCESSEARSE_H

#include "processbasic.h"

#include <QObject>

class ProcessEarse : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessEarse(void *, QObject *parent = nullptr);
    ~ProcessEarse();
protected:
    bool prepare();
    bool config();
    bool worked();
protected slots:
    void slotsStart(){}
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private slots:
    void slotsProgress();
private:
    int       m_iValue;
    void     *m_oCDROM;
    QTimer   *m_oPro;
};

#endif // PROCESSEARSE_H
