#include "input.h"
#include "ui_input.h"
#include "src/view/execdialog.h"

Input::Input(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Input)
{
    QFont f;
    ui->setupUi(this);
    f = ui->labelContent->font();
    f.setPixelSize(14);

    ui->labelContent->setFont(f);
    ui->lineEditResult->setFont(f);

    connect(this, SIGNAL(content(QString)), ui->labelContent, SLOT(setText(QString)));
    connect(this, SIGNAL(result(QString)), ui->lineEditResult, SLOT(setText(QString)));
}

QString Input::result()
{
    return ui->lineEditResult->text();
}

Input::~Input()
{
    delete ui;
}
